import { Categorization, JsonFormsState, RankedTester } from '@jsonforms/core';
import { OnDestroy, OnInit } from '@angular/core';
import { NgRedux } from '@angular-redux/store';
import { JsonFormsBaseRenderer } from '@jsonforms/angular';
export declare class CategorizationTabLayoutRenderer extends JsonFormsBaseRenderer<Categorization> implements OnInit, OnDestroy {
    private ngRedux;
    hidden: boolean;
    private subscription;
    constructor(ngRedux: NgRedux<JsonFormsState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
export declare const categorizationTester: RankedTester;
